pub const GENERIC_PALETTE: [u8; 4] = [0, 64, 128, 255];

pub fn parse_palette(palette: u8, brts: &[u8]) -> [u8; 4] {
    let shades = [
        0,
        brts[0],
        brts[2],
        brts[0].saturating_add(brts[2]).saturating_add(brts[4]),
    ];
    [
        0,
        shades[(palette >> 2) as usize & 0x03],
        shades[(palette >> 4) as usize & 0x03],
        shades[(palette >> 6) as usize & 0x03],
    ]
}
